﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_constraint.sql **/
 EXEC P_ALTERPK 'PK_SOEBS_CADRETODOLIST', 'T_SOEBS_CADRETODOLIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRETODOLIST' AND KSQL_INDNAME = 'IDX_CADRETODOLIST_PERSON') CREATE INDEX IDX_CADRETODOLIST_PERSON ON T_SOEBS_CADRETODOLIST ( FPERSONID );


 EXEC P_ALTERPK 'PK_SOEBS_CADREFILE', 'T_SOEBS_CADREFILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADREFILE' AND KSQL_INDNAME = 'IDX_CADREFILE_PERSON') CREATE INDEX IDX_CADREFILE_PERSON ON T_SOEBS_CADREFILE ( FPERSONID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADREFILE' AND KSQL_INDNAME = 'IDX_CADREFILE_ADMINORG') CREATE INDEX IDX_CADREFILE_ADMINORG ON T_SOEBS_CADREFILE ( FADMINORGID );


 EXEC P_ALTERPK 'PK_SOEBS_CADRETODOLIST_L', 'T_SOEBS_CADRETODOLIST_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRETODOLIST_L' AND KSQL_INDNAME = 'IDX_SOEBS_CADRETODOLIST_L') CREATE INDEX IDX_SOEBS_CADRETODOLIST_L ON T_SOEBS_CADRETODOLIST_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOEBS_MANAGEORG_L', 'T_SOEBS_MANAGEORG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_MANAGEORG_L' AND KSQL_INDNAME = 'IDX_SOEBS_MANAGEORG_L') CREATE INDEX IDX_SOEBS_MANAGEORG_L ON T_SOEBS_MANAGEORG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOEBS_CADSUBENTRY', 'T_SOEBS_CADSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADSUBENTRY' AND KSQL_INDNAME = 'IDX_SOEBS_CADSUBENTRY') CREATE INDEX IDX_SOEBS_CADSUBENTRY ON T_SOEBS_CADSUBENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_SOEBS_MANCADRECATEGORY', 'T_SOEBS_MANCADRECATEGORY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_MANCADRECATEGORY' AND KSQL_INDNAME = 'IDX_SOEBS_MANCADRECATEGORY') CREATE INDEX IDX_SOEBS_MANCADRECATEGORY ON T_SOEBS_MANCADRECATEGORY ( FDETAILID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOEBS_GROUPENTRY', 'T_SOEBS_GROUPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_GROUPENTRY' AND KSQL_INDNAME = 'IDX_SOEBS_GROUPENTRY') CREATE INDEX IDX_SOEBS_GROUPENTRY ON T_SOEBS_GROUPENTRY ( FID );


 EXEC P_ALTERPK 'PK_SOEBS_GROUPENTRY_L', 'T_SOEBS_GROUPENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_GROUPENTRY_L' AND KSQL_INDNAME = 'IDX_SOEBS_GROUPENTRY_L') CREATE INDEX IDX_SOEBS_GROUPENTRY_L ON T_SOEBS_GROUPENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOEBS_ADMSUBENTRY', 'T_SOEBS_ADMSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_ADMSUBENTRY' AND KSQL_INDNAME = 'IDX_SOEBS_ADMSUBENTRY') CREATE INDEX IDX_SOEBS_ADMSUBENTRY ON T_SOEBS_ADMSUBENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_SOEBS_MANAGEORG', 'T_SOEBS_MANAGEORG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_MANAGEORG' AND KSQL_INDNAME = 'IDX_SOEBS_MANAGEORGNAME') CREATE INDEX IDX_SOEBS_MANAGEORGNAME ON T_SOEBS_MANAGEORG ( FNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_MANAGEORG' AND KSQL_INDNAME = 'IDX_SOEBS_MANAGEORGNUMBER') CREATE INDEX IDX_SOEBS_MANAGEORGNUMBER ON T_SOEBS_MANAGEORG ( FNUMBER );


 EXEC P_ALTERPK 'PK_SOEBS_CADRESORTDICT', 'T_SOEBS_CADRESORTDICT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRESORTDICT' AND KSQL_INDNAME = 'IDX_CADRESORTDICT_CNF') CREATE INDEX IDX_CADRESORTDICT_CNF ON T_SOEBS_CADRESORTDICT ( FCADERSORTCNFID );


 EXEC P_ALTERPK 'PK_SOEBS_CADRESORTDICT_L', 'T_SOEBS_CADRESORTDICT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRESORTDICT_L' AND KSQL_INDNAME = 'IDX_SOEBS_CADRESORTDICT_L') CREATE INDEX IDX_SOEBS_CADRESORTDICT_L ON T_SOEBS_CADRESORTDICT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOEBS_CADRESORTCNF', 'T_SOEBS_CADRESORTCNF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRESORTCNF' AND KSQL_INDNAME = 'IDX_CADRESORTCNF_ENTITYKEY') CREATE INDEX IDX_CADRESORTCNF_ENTITYKEY ON T_SOEBS_CADRESORTCNF ( FENTITYKEY );


 EXEC P_ALTERPK 'PK_SOEBS_CADRESORTCNF_L', 'T_SOEBS_CADRESORTCNF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADRESORTCNF_L' AND KSQL_INDNAME = 'IDX_SOEBS_CADRESORTCNF_L') CREATE INDEX IDX_SOEBS_CADRESORTCNF_L ON T_SOEBS_CADRESORTCNF_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOEBS_HEADFIELD_L', 'T_SOEBS_HEADFIELD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_HEADFIELD_L' AND KSQL_INDNAME = 'IDX_SOEBS_HEADFIELD_L') CREATE INDEX IDX_SOEBS_HEADFIELD_L ON T_SOEBS_HEADFIELD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOEBS_INFOGROUPENTITY', 'T_SOEBS_INFOGROUPENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_INFOGROUPENTITY' AND KSQL_INDNAME = 'IDX_SOEBS_INFOGROUPENTITY') CREATE INDEX IDX_SOEBS_INFOGROUPENTITY ON T_SOEBS_INFOGROUPENTITY ( FID );


 EXEC P_ALTERPK 'PK_SOEBS_FIELDENTITY_L', 'T_SOEBS_FIELDENTITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_FIELDENTITY_L' AND KSQL_INDNAME = 'IDX_SOEBS_FIELDENTITY_L') CREATE INDEX IDX_SOEBS_FIELDENTITY_L ON T_SOEBS_FIELDENTITY_L ( FDETAILID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOEBS_MULTIMENUENTITY', 'T_SOEBS_MULTIMENUENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_MULTIMENUENTITY' AND KSQL_INDNAME = 'IDX_SOEBS_MULTIMENUENTITY') CREATE INDEX IDX_SOEBS_MULTIMENUENTITY ON T_SOEBS_MULTIMENUENTITY ( FID );


 EXEC P_ALTERPK 'PK_SOEBS_MULTIMENUENTITY_L', 'T_SOEBS_MULTIMENUENTITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_MULTIMENUENTITY_L' AND KSQL_INDNAME = 'IDX_SOEBS_MULTIMENUENTITY_L') CREATE INDEX IDX_SOEBS_MULTIMENUENTITY_L ON T_SOEBS_MULTIMENUENTITY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOEBS_INFOGROUPFIELD_L', 'T_SOEBS_INFOGROUPFIELD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_INFOGROUPFIELD_L' AND KSQL_INDNAME = 'IDX_SOEBS_INFOGROUPFIELD_L') CREATE INDEX IDX_SOEBS_INFOGROUPFIELD_L ON T_SOEBS_INFOGROUPFIELD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOEBS_INFOGROUPPAGEREG_L', 'T_SOEBS_INFOGROUPPAGEREG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_INFOGROUPPAGEREG_L' AND KSQL_INDNAME = 'IDX_SOEBS_INFOGROUPPAGEREG_L') CREATE INDEX IDX_SOEBS_INFOGROUPPAGEREG_L ON T_SOEBS_INFOGROUPPAGEREG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOEBS_CAFILETYPE', 'T_SOEBS_CAFILETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CAFILETYPE' AND KSQL_INDNAME = 'IDX_SOEBS_CAFILETYPE_NUM') CREATE INDEX IDX_SOEBS_CAFILETYPE_NUM ON T_SOEBS_CAFILETYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_SOEBS_HEADFIELD', 'T_SOEBS_HEADFIELD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_HEADFIELD' AND KSQL_INDNAME = 'IDX_SOEBS_HEADFIELD_NUM') CREATE INDEX IDX_SOEBS_HEADFIELD_NUM ON T_SOEBS_HEADFIELD ( FNUMBER );


 EXEC P_ALTERPK 'PK_SOEBS_MULTIMENUGROUP', 'T_SOEBS_MULTIMENUGROUP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_MULTIMENUGROUP' AND KSQL_INDNAME = 'IDX_SOEBS_MULTIMENUGROUP') CREATE INDEX IDX_SOEBS_MULTIMENUGROUP ON T_SOEBS_MULTIMENUGROUP ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOEBS_INFOGROUPENTITY_L', 'T_SOEBS_INFOGROUPENTITY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_INFOGROUPENTITY_L' AND KSQL_INDNAME = 'IDX_SOEBS_INFOGROUPENTITY_L') CREATE INDEX IDX_SOEBS_INFOGROUPENTITY_L ON T_SOEBS_INFOGROUPENTITY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOEBS_INFOGROUPPAGEREG', 'T_SOEBS_INFOGROUPPAGEREG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_INFOGROUPPAGEREG' AND KSQL_INDNAME = 'IDX_SOEBS_INFOGROUPPAGEREG_BE') CREATE INDEX IDX_SOEBS_INFOGROUPPAGEREG_BE ON T_SOEBS_INFOGROUPPAGEREG ( FPAGEBELONGID );


 EXEC P_ALTERPK 'PK_SOEBS_FIELDENTITY', 'T_SOEBS_FIELDENTITY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_FIELDENTITY' AND KSQL_INDNAME = 'IDX_SOEBS_FIELDENTITY') CREATE INDEX IDX_SOEBS_FIELDENTITY ON T_SOEBS_FIELDENTITY ( FENTRYID );


 EXEC P_ALTERPK 'PK_SOEBS_INFOGROUPFIELD', 'T_SOEBS_INFOGROUPFIELD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_INFOGROUPFIELD' AND KSQL_INDNAME = 'IDX_SOEBS_INFOGROUPFIELD_GROUP') CREATE INDEX IDX_SOEBS_INFOGROUPFIELD_GROUP ON T_SOEBS_INFOGROUPFIELD ( FGROUPID );


 EXEC P_ALTERPK 'PK_SOEBS_MULTIVIEWCONFIG_L', 'T_SOEBS_MULTIVIEWCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_MULTIVIEWCONFIG_L' AND KSQL_INDNAME = 'IDX_SOEBS_MULTIVIEWCONFIG_L') CREATE INDEX IDX_SOEBS_MULTIVIEWCONFIG_L ON T_SOEBS_MULTIVIEWCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOEBS_MULTIVIEWCONFIG', 'T_SOEBS_MULTIVIEWCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_MULTIVIEWCONFIG' AND KSQL_INDNAME = 'IDX_SOEBS_MULTIVIEWCONFIG_NUM') CREATE INDEX IDX_SOEBS_MULTIVIEWCONFIG_NUM ON T_SOEBS_MULTIVIEWCONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_SOEBS_CAFILETYPE_L', 'T_SOEBS_CAFILETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CAFILETYPE_L' AND KSQL_INDNAME = 'IDX_SOEBS_CAFILETYPE_L') CREATE INDEX IDX_SOEBS_CAFILETYPE_L ON T_SOEBS_CAFILETYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOEBS_REGIONSSCOPE', 'T_SOEBS_REGIONSSCOPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_REGIONSSCOPE' AND KSQL_INDNAME = 'IDX_SOEBS_REGIONSSCOPE') CREATE INDEX IDX_SOEBS_REGIONSSCOPE ON T_SOEBS_REGIONSSCOPE ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOEBS_HEADENTITY', 'T_SOEBS_HEADENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_HEADENTITY' AND KSQL_INDNAME = 'IDX_SOEBS_HEADENTITY') CREATE INDEX IDX_SOEBS_HEADENTITY ON T_SOEBS_HEADENTITY ( FID );


 EXEC P_ALTERPK 'PK_SOEBS_CADINFOCONFIG_L', 'T_SOEBS_CADINFOCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADINFOCONFIG_L' AND KSQL_INDNAME = 'IDX_SOEBS_CADINFOCONFIG_L') CREATE INDEX IDX_SOEBS_CADINFOCONFIG_L ON T_SOEBS_CADINFOCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOEBS_CADINFOCONFIG', 'T_SOEBS_CADINFOCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOEBS_CADINFOCONFIG' AND KSQL_INDNAME = 'IDX_SOEBS_CADINFONUM') CREATE INDEX IDX_SOEBS_CADINFONUM ON T_SOEBS_CADINFOCONFIG ( FNUMBER );



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOEBS_constraint.sql **/
